package io.skore.smooch_plugin

import android.os.Bundle
import android.os.PersistableBundle
import android.util.Log
import io.smooch.core.Conversation
import io.smooch.core.Message
import io.smooch.core.Smooch
import io.smooch.ui.ConversationActivity
import kotlinx.android.synthetic.main.smooch_activity_conversation.back

class SmoochActivity : ConversationActivity() {

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        back.setOnClickListener {
            onBackPressed()
        }
    }

    init {

        Smooch.getConversation()?.let {
            it.messageModifierDelegate = object : Conversation.MessageModifierDelegate {
                override fun beforeSend(message: Message?): Message? {
                    return message
                }

                override fun beforeNotification(message: Message?): Message? {
                    return message
                }

                override fun beforeDisplay(message: Message?): Message? {
                    message?.let {
                        if (it.text.equals("iniciar", true) ||
                                it.text.equals("session", true) ||
                                it.text.contains("token:") ||
                                it.text.contains("token2:")) {

                            return null
                        }
                    }
                    return message
                }

            }
        }
    }

}